%global momorel 1
%global pyver 2.5

Summary: D-BUS message bus python
Name: dbus-python
Version: 0.83.0
Release: %{momorel}m%{?dist}
URL: http://www.freedesktop.org/Software/dbus
Source0: http://dbus.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
License: "AFL/GPL"
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: python >= %{pyver}
BuildPrereq: dbus-devel >= 1.0.2
BuildPrereq: dbus-glib-devel >= 0.74

%description
A core concept of the D-BUS implementation is that "libdbus" is
intended to be a low-level API, similar to Xlib. Most programmers are
intended to use the bindings to GLib, Qt, Python, Mono, Java, or
whatever. These bindings have varying levels of completeness.

%package devel
Summary: dbus-python devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
dbus-python-devel

%prep
%setup -q 

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/python%{pyver}/site-packages/dbus
%{_libdir}/python%{pyver}/site-packages/_dbus_bindings.so
%{_libdir}/python%{pyver}/site-packages/_dbus_bindings.la
%{_libdir}/python%{pyver}/site-packages/_dbus_glib_bindings.so
%{_libdir}/python%{pyver}/site-packages/_dbus_glib_bindings.la
%{_libdir}/python%{pyver}/site-packages/dbus_bindings.py*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/dbus-1.0/dbus/%{name}.h
%{_datadir}/doc/%{name}

%changelog
* Fri Sep  5 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.83.0-1m)
- update 0.83.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.82.4-2m)
- rebuild against gcc43

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.82.4-1m)
- update 0.82.4

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.82.3-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.82.3-1m)
- update to 0.82.3

* Fri Jun 15 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.81.1-1m)
- update to 0.81.1

* Fri Mar  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.2-1m)
- update to 0.80.2

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-2m)
- delete pyc pyo

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80.1-1m)
- update to 0.80.1

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.71-2m)
- rebuild against python-2.5

* Thu Aug 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.71-1m)
- initila build
